Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.persistence.jest
Interface JPAServletContext

All Known Implementing Classes:
  JESTContext

    public interface JPAServletContext

An operating context provides a `persistence context` and utility functions within which all JEST commands execute.

Author:
  Pinaki Poddar

Method Summary
`OpenJPAEntityManager` | `getPersistenceContext()` Get the persistence context of the operational context.
`String` | `getPersistenceUnitName()` Get the persistence unit name.
`HttpServletRequest` | `getRequest()` Get the HTTP Request.
`String` | `getRequestURI()` Get the requested URI.
`HttpServletResponse` | `getResponse()` Get the HTTP Response.
`void` | `log(short level, String message)` Logging message.
`ClassMetaData` | `resolve(String alias)` Resolve the given alias to meta-data of the persistent type.

Method Detail

### getPersistenceContext

    OpenJPAEntityManager getPersistenceContext()

  Get the persistence context of the operational context.

### getPersistenceUnitName

    String getPersistenceUnitName()

  Get the persistence unit name.

### getRequest

    HttpServletRequest getRequest()

  Get the HTTP Request.

### getResponse

    HttpServletResponse getResponse()

  Get the HTTP Response.

### getRequestURI

    String getRequestURI()

  Get the requested URI.

  Returns:

### resolve

    ClassMetaData resolve(String alias)

  Resolve the given alias to meta-data of the persistent type.

  Parameters:
    `alias` - a moniker for the Java type. It can be fully qualified type name or entity name or simple name of the actual persistent Java class.
  Returns:
    meta-data for the given name.
  Throws:
    `raises` - runtime exception if the given name can not be identified to a persistent Java type.

### log

    void log(short level,
             String message)

  Logging message.

  Parameters:
    `level` - OpenJPA defined `log levels`. Invalid levels will print the message on console.
    `message` - a printable message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.